curl --request POST \
--url 'https://api.stateset.com/api/v1/serials/{id}/reserve' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"expires_in_seconds": 250,
"reference_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference_type": "string",
"reserved_by": "string"
}'
{
"expires_at": "2026-08-31T14:22:05Z",
"reference_type": "string",
"reservation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"serial_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Reserve a serial
Reserve a serial
POST
/
api
/
v1
/
serials
/
{id}
/
reserve
curl --request POST \
--url 'https://api.stateset.com/api/v1/serials/{id}/reserve' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"expires_in_seconds": 250,
"reference_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference_type": "string",
"reserved_by": "string"
}'
{
"expires_at": "2026-08-31T14:22:05Z",
"reference_type": "string",
"reservation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"serial_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Path parameters
string
required
Serial ID
Request body
ReserveSerialRequest
integer,null (int64)
string,null
string,null
Defaults to
api.string,null
Response
SerialReservationResponse
string,null
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
409 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/serials/{id}/reserve' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"expires_in_seconds": 250,
"reference_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference_type": "string",
"reserved_by": "string"
}'
{
"expires_at": "2026-08-31T14:22:05Z",
"reference_type": "string",
"reservation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"serial_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026